Macaulay2 » Documentation
Packages » ConvexInterface :: mLatticePoints
next | previous | forward | backward | up | index | toc

# mLatticePoints -- Compute the lattice points of a convex hull.

- Usage:
    `mLatticePoints(L)`
- Inputs:
  - L, a list, of Vectors.
- Outputs:
  - a list,

## Description

Returns a list with the lattice points of the convex hull of L.

This uses the Convex functions convHull and hilbertbasis.

    i1 : L={vector {3,-1,-1},vector {-1,3,-1},vector {-1,-1,3},vector {-1,-1,-1}};

    i2 : P=mLatticePoints(L)

    o2 = {}

    o2 : List

## Ways to use mLatticePoints:

- `mLatticePoints(List)`

## For the programmer

The object mLatticePoints is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/ConvexInterface.m2:689:0.